qmf::engine::Value Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qmf::engine::Value Class Reference

`#include <qmf/engine/Value.h>`

List of all members.

## Public Member Functions
| Value (const Value &from)
| Value (Typecode t, Typecode arrayType=TYPE_UINT8)
| ~Value ()
Typecode | getType () const
bool | isNull () const
void | setNull ()
bool | isObjectId () const
const ObjectId & | asObjectId () const
void | setObjectId (const ObjectId &oid)
bool | isUint () const
uint32_t | asUint () const
void | setUint (uint32_t val)
bool | isInt () const
int32_t | asInt () const
void | setInt (int32_t val)
bool | isUint64 () const
uint64_t | asUint64 () const
void | setUint64 (uint64_t val)
bool | isInt64 () const
int64_t | asInt64 () const
void | setInt64 (int64_t val)
bool | isString () const
const char * | asString () const
void | setString (const char *val)
bool | isBool () const
bool | asBool () const
void | setBool (bool val)
bool | isFloat () const
float | asFloat () const
void | setFloat (float val)
bool | isDouble () const
double | asDouble () const
void | setDouble (double val)
bool | isUuid () const
const uint8_t * | asUuid () const
void | setUuid (const uint8_t *val)
bool | isObject () const
const Object * | asObject () const
void | setObject (Object *val)
bool | isMap () const
bool | keyInMap (const char *key) const
Value * | byKey (const char *key)
const Value * | byKey (const char *key) const
void | deleteKey (const char *key)
void | insert (const char *key, Value *val)
uint32_t | keyCount () const
const char * | key (uint32_t idx) const
bool | isList () const
uint32_t | listItemCount () const
Value * | listItem (uint32_t idx)
void | appendToList (Value *val)
void | deleteListItem (uint32_t idx)
bool | isArray () const
Typecode | arrayType () const
uint32_t | arrayItemCount () const
Value * | arrayItem (uint32_t idx)
void | appendToArray (Value *val)
void | deleteArrayItem (uint32_t idx)

## Constructor & Destructor Documentation

qmf::engine::Value::Value | ( | const Value & | from | ) |

qmf::engine::Value::Value | ( | Typecode | t,
|  | Typecode | arrayType = `TYPE_UINT8`
| ) |  |

qmf::engine::Value::~Value | ( |  | ) |

## Member Function Documentation

void qmf::engine::Value::appendToArray | ( | Value * | val | ) |

void qmf::engine::Value::appendToList | ( | Value * | val | ) |

Value* qmf::engine::Value::arrayItem | ( | uint32_t | idx | ) |

uint32_t qmf::engine::Value::arrayItemCount | ( |  | ) | const

Typecode qmf::engine::Value::arrayType | ( |  | ) | const

bool qmf::engine::Value::asBool | ( |  | ) | const

double qmf::engine::Value::asDouble | ( |  | ) | const

float qmf::engine::Value::asFloat | ( |  | ) | const

int32_t qmf::engine::Value::asInt | ( |  | ) | const

int64_t qmf::engine::Value::asInt64 | ( |  | ) | const

const Object* qmf::engine::Value::asObject | ( |  | ) | const

const ObjectId& qmf::engine::Value::asObjectId | ( |  | ) | const

const char* qmf::engine::Value::asString | ( |  | ) | const

uint32_t qmf::engine::Value::asUint | ( |  | ) | const

uint64_t qmf::engine::Value::asUint64 | ( |  | ) | const

const uint8_t* qmf::engine::Value::asUuid | ( |  | ) | const

Value* qmf::engine::Value::byKey | ( | const char * | key | ) |

const Value* qmf::engine::Value::byKey | ( | const char * | key | ) | const

void qmf::engine::Value::deleteArrayItem | ( | uint32_t | idx | ) |

void qmf::engine::Value::deleteKey | ( | const char * | key | ) |

void qmf::engine::Value::deleteListItem | ( | uint32_t | idx | ) |

Typecode qmf::engine::Value::getType | ( |  | ) | const

void qmf::engine::Value::insert | ( | const char * | key,
|  | Value * | val
| ) |  |

bool qmf::engine::Value::isArray | ( |  | ) | const

bool qmf::engine::Value::isBool | ( |  | ) | const

bool qmf::engine::Value::isDouble | ( |  | ) | const

bool qmf::engine::Value::isFloat | ( |  | ) | const

bool qmf::engine::Value::isInt | ( |  | ) | const

bool qmf::engine::Value::isInt64 | ( |  | ) | const

bool qmf::engine::Value::isList | ( |  | ) | const

bool qmf::engine::Value::isMap | ( |  | ) | const

bool qmf::engine::Value::isNull | ( |  | ) | const

bool qmf::engine::Value::isObject | ( |  | ) | const

bool qmf::engine::Value::isObjectId | ( |  | ) | const

bool qmf::engine::Value::isString | ( |  | ) | const

bool qmf::engine::Value::isUint | ( |  | ) | const

bool qmf::engine::Value::isUint64 | ( |  | ) | const

bool qmf::engine::Value::isUuid | ( |  | ) | const

const char* qmf::engine::Value::key | ( | uint32_t | idx | ) | const

uint32_t qmf::engine::Value::keyCount | ( |  | ) | const

bool qmf::engine::Value::keyInMap | ( | const char * | key | ) | const

Value* qmf::engine::Value::listItem | ( | uint32_t | idx | ) |

uint32_t qmf::engine::Value::listItemCount | ( |  | ) | const

void qmf::engine::Value::setBool | ( | bool | val | ) |

void qmf::engine::Value::setDouble | ( | double | val | ) |

void qmf::engine::Value::setFloat | ( | float | val | ) |

void qmf::engine::Value::setInt | ( | int32_t | val | ) |

void qmf::engine::Value::setInt64 | ( | int64_t | val | ) |

void qmf::engine::Value::setNull | ( |  | ) |

void qmf::engine::Value::setObject | ( | Object * | val | ) |

void qmf::engine::Value::setObjectId | ( | const ObjectId & | oid | ) |

void qmf::engine::Value::setString | ( | const char * | val | ) |

void qmf::engine::Value::setUint | ( | uint32_t | val | ) |

void qmf::engine::Value::setUint64 | ( | uint64_t | val | ) |

void qmf::engine::Value::setUuid | ( | const uint8_t * | val | ) |

The documentation for this class was generated from the following file:

- qmf/engine/Value.h